org.apache.maven.scm.provider.tfs.command.consumer

## Class TfsChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.tfs.command.consumer.TfsChangeLogConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class TfsChangeLogConsumer
    extends AbstractConsumer

### Constructor Summary

Constructors
Constructor and Description
`TfsChangeLogConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getLogs()`
`boolean` `hasBeenFed()`
`protected static Date` `parseDate(String dateString)`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsChangeLogConsumer

    public TfsChangeLogConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

#### getLogs

    public List getLogs()

#### hasBeenFed

    public boolean hasBeenFed()

#### parseDate

    protected static Date parseDate(String dateString)
                             throws ParseException

Throws:
  `ParseException`